Bug 103510 - tarpit support missing from kernel side of netfilter/iptables
Summary: tarpit support missing from kernel side of netfilter/iptables
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux Beta
Classification: Retired
Component: kernel (Show other bugs)
(Show other bugs)
Version: beta1
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Dave Jones
QA Contact: Brian Brock
URL: http://www.netfilter.org/files/change...
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-09-01 14:37 UTC by Paul Morgan
Modified: 2015-01-04 22:03 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-20 02:01:21 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Paul Morgan 2003-09-01 14:37:06 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030225

Description of problem:
Support for the TARPIT target is included in the official iptables-1.2.8-*
release (user tools) that is included in Severn and Taroon. However, the RH
kernel is missing the kernel tools support for that target.

Version-Release number of selected component (if applicable):
iptables-1.2.8-9.1

How reproducible:
Always

Steps to Reproduce:
Append the following after "allow traffic" entries:
   iptables -A INPUT -j TARPIT

Alternatively, attempt to `modprobe ipt_TARPIT`

Actual Results:  iptables: No chain/target/match by that name

Result of modprobe is "modprobe: Can't locate module ipt_TARPIT"

Expected Results:  rule should have been loaded into the kernel filter in order
to tarpit connections 

Result of modprobe should have been that kernel module is loaded.

Additional info:

/lib/iptables/libipt_TARPIT.so is included in the beta, but the kernel module
ipt_TARPIT.{o,h,c} is missing


Note You need to log in before you can comment on or make changes to this bug.